## snmptrapfmt 1.03

=== Makefile ===
# Makefile for snmptrapfmt
#

TARGETS=	snmptrapfmthdlr snmptrapfmt
CONFFILES=	snmptrapfmt.conf
DEFS=		-I /usr/include/ucd-snmp -DSTDC_HEADERS -DDEBUG

# Compilation parameters:

CFLAGS= -O2 -g -Wall $(DEFS)
LIBS=	#-lsnmp -lieee -lnsl

# You should not need to change anything below this line.

all: $(TARGETS)

package: clean
	dpkg-buildpackage -us -uc

snmptrapfmt:    snmptrapfmt.o log.o
	${CC} -g -o $@ snmptrapfmt.o log.o ${LIBS}

snmptrapfmthdlr:    snmptrapfmthdlr.o log.o
	${CC} -g -o $@ snmptrapfmthdlr.o log.o ${LIBS}

clean:
	rm -f core *.o *.bak ${TARGETS}

clobber: clean
	rm -f $(TARGETS)

install:
	cp ${TARGETS} ${DESTDIR}/usr/sbin
	cp $(CONFFILES) $(DESTDIR)/etc/snmp

=== debian/changelog ===
snmptrapfmt (1.03) unstable; urgency=low

  * Now depends on libsnmp4.2/libsnmp4.2-dev. Closes #97230.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Sat, 12 May 2001 14:07:04 +0200

snmptrapfmt (1.02) unstable; urgency=low

  * New version number indicates that this is a debian-only package.
  * Changed copyright to gnu.
  * Changed autor of version 1.0-1 to real autor in changelog.
  * Wrote file Readme.debian.
  * Extended description of OID format in snmptrapfmt.conf
  * Corrected lintian errors in conffiles, control and prerm
  * Enabled -Wall in Makefile. Corrected Warnings in sources.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Fri,  4 May 2001 21:09:39 +0200

snmptrapfmt (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Siegfried Rupietta <Siegfried_Rupietta@nice.de>  Tue, 01 May 2001 09:33:57 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "bernd_schumacher@hp.com"
End:

## snmptrapfmt 1.03woody1

=== debian/changelog ===
snmptrapfmt (1.03woody1) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fixed insecure temporary log file [log.c, CVE-2006-0050]

 -- Martin Schulze <joey@infodrom.org>  Tue, 14 Mar 2006 22:43:32 +0100

=== debian/control ===
Source: snmptrapfmt
Section: net
Priority: optional
Maintainer: Bernd Schumacher <bernd_schumacher@hp.com>
Standards-Version: 3.1.1
Build-Depends: debmake, libsnmp4.2-dev

Package: snmptrapfmt
Section: net
Architecture: any
Conflicts: none
Replaces: none
Depends: snmpd, libsnmp4.2
Description: A configurable snmp trap handler daemon for snmpd.
 This package contains a configurable snmp trap handler daemon for snmpd.
 The output of this trap handler daemon may be specified via a configuration
 file and written to a logfile or to the syslog daemon. During installation
 of this package, the configuration file for the snmptrapd daemon is changed
 (old version is saved) to activate the trap handler. The snmpd and snmptrapd
 daemons are restarted.

## snmptrapfmt 1.07

=== debian/changelog ===
snmptrapfmt (1.07) unstable; urgency=low

  * New Version for upload. No changes. Closes #174401.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri,  3 Oct 2003 16:32:58 +0200

snmptrapfmt (1.06) unstable; urgency=low

  * fixed SIGSEV. Closes #174401.

 -- Uwe Maier <Uwe.Maier@nice.de>  Mon, 29 Sep 2003 12:56:30 +0200

snmptrapfmt (1.05) unstable; urgency=low

  * New version, just to get the source signed with my gpg key.
  * See (1.04). Closes #131737.

 -- Bernd Schumacher <bernd_schumacher@hp.com>  Tue, 25 Feb 2003 22:12:24 +0100

snmptrapfmt (1.04) unstable; urgency=low

  * Uses proper daemonization mechanism. Closes #131737.
  * Startup parameters without fixed sequence.

 -- Uwe Maier <Uwe.Maier@nice.de>  Thu, 12 Feb 2003 17:24:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: snmptrapfmt
 Section: net
 Priority: optional
-Maintainer: Bernd Schumacher <bernd_schumacher@hp.com>
+Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
 Standards-Version: 3.1.1
 Build-Depends: debmake, libsnmp4.2-dev

## snmptrapfmt 1.08

=== debian/changelog ===
snmptrapfmt (1.08) unstable; urgency=low

  * New Maintainer (Closes: #266820)
  * Updated to use net-snmp instead of UCD snmp. (Closes: #237760)

 -- Jochen Friedrich <jochen@scram.de>  Fri,  7 Jan 2005 22:51:17 +0100

## snmptrapfmt 1.08sarge1

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,9 @@
 package: clean
 	dpkg-buildpackage -us -uc
 
+deb: clean
+	debuild binary
+  
 snmptrapfmt:    snmptrapfmt.o log.o
 	${CC} -g -o $@ snmptrapfmt.o log.o ${LIBS}
 
@@ -30,5 +33,6 @@
 	rm -f $(TARGETS)
 
 install:
+	make
 	cp ${TARGETS} ${DESTDIR}/usr/sbin
 	cp $(CONFFILES) $(DESTDIR)/etc/snmp

=== debian/changelog ===
snmptrapfmt (1.08sarge1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fixed insecure temporary log file [log.c, CVE-2006-0050]

 -- Martin Schulze <joey@infodrom.org>  Tue, 14 Mar 2006 22:24:01 +0100

=== debian/control ===
Source: snmptrapfmt
Section: net
Priority: optional
Maintainer: Jochen Friedrich <jochen@scram.de>
Standards-Version: 3.6.1
Build-Depends: debmake, libsnmp5-dev

Package: snmptrapfmt
Section: net
Architecture: any
Conflicts: none
Replaces: none
Depends: snmpd, libsnmp5
Description: A configurable snmp trap handler daemon for snmpd
 This package contains a configurable snmp trap handler daemon for snmpd.
 The output of this trap handler daemon may be specified via a configuration
 file and written to a logfile or to the syslog daemon. During installation
 of this package, the configuration file for the snmptrapd daemon is changed
 (old version is saved) to activate the trap handler. The snmpd and snmptrapd
 daemons are restarted.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=snmptrapfmt

build:
	$(checkdir)
	
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## snmptrapfmt 1.11

=== debian/changelog ===
snmptrapfmt (1.11) unstable; urgency=low

  * Convert build system to cdbs.

 -- Jochen Friedrich <jochen@scram.de>  Wed, 22 Mar 2006 21:14:58 +0100

snmptrapfmt (1.10) unstable; urgency=high

  * Fixed insecure temporary log file [log.c, CVE-2006-0050]
    Thanks to Will Aoki for finding this bug.

 -- Jochen Friedrich <jochen@scram.de>  Wed, 15 Mar 2006 19:39:00 +0100

snmptrapfmt (1.09) unstable; urgency=low

  * Update for libsnmp transition.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 15 Sep 2005 20:51:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Jochen Friedrich <jochen@scram.de>
-Standards-Version: 3.6.1
-Build-Depends: debmake, libsnmp5-dev
+Standards-Version: 3.6.2
+Build-Depends: cdbs, debhelper (>=4.0), libsnmp9-dev
 
 Package: snmptrapfmt
 Section: net
 Architecture: any
 Conflicts: none
 Replaces: none
-Depends: snmpd, libsnmp5
+Depends: snmpd, libsnmp9
 Description: A configurable snmp trap handler daemon for snmpd
  This package contains a configurable snmp trap handler daemon for snmpd.
  The output of this trap handler daemon may be specified via a configuration

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET=install DESTDIR=$(CURDIR)/debian/snmptrapfmt

## snmptrapfmt 1.12ubuntu1

=== debian/changelog ===
snmptrapfmt (1.12ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable.
  * Remaining Ubuntu changes:
    - Remove Conflicts/Replaces.
    - Munge Maintainer field as per spec.
  * Ubuntu changes dropped:
    - Delete Section from the binary stanza.
    - Replace hard-coded library Depends with ${shlibs:Depends}.
    - Change libsnmp9-dev Build-Depends to libsnmp-dev.
    - Actually link against the snmp library.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 12 Jul 2007 11:58:36 +1000

snmptrapfmt (1.12) unstable; urgency=low

  * Fix dependecies (Closes: #431924)
  * Update Policy to 3.7.2 (no changes)
  * Update debhelper compat level to 5

 -- Jochen Friedrich <jochen@scram.de>  Wed, 11 Jul 2007 10:50:10 +0200

snmptrapfmt (1.11ubuntu1) gutsy; urgency=low

  * Remove Conflicts/Replaces.
  * Delete Section from the binary stanza.
  * Replace hard-coded library Depends with ${shlibs:Depends}.
  * Change libsnmp9-dev Build-Depends to libsnmp-dev.
  * Actually link against the snmp library.
  * Munge Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 20 Jun 2007 17:03:26 +1000

snmptrapfmt (1.11build1) gutsy; urgency=low

  * No-change upload for libsnmp9 -> libsnmp10 transition.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 19 Jun 2007 16:18:04 +1000

## snmptrapfmt 1.12ubuntu2

=== Makefile ===
--- 
+++ 
@@ -2,13 +2,14 @@
 #
 
 TARGETS=	snmptrapfmthdlr snmptrapfmt
+MANPAGES=	snmptrapfmthdlr.8 snmptrapfmt.8
 CONFFILES=	snmptrapfmt.conf
 DEFS=		-I /usr/include/ucd-snmp -DSTDC_HEADERS -DDEBUG
 
 # Compilation parameters:
 
 CFLAGS= -O2 -g -Wall $(DEFS)
-LIBS=	#-lsnmp -lieee -lnsl
+LIBS=	-lsnmp -lieee -lnsl
 
 # You should not need to change anything below this line.
 
@@ -35,4 +36,6 @@
 install:
 	make
 	cp ${TARGETS} ${DESTDIR}/usr/sbin
+	cp ${MANPAGES} ${DESTDIR}/usr/share/man/man8
 	cp $(CONFFILES) $(DESTDIR)/etc/snmp
+

=== debian/changelog ===
snmptrapfmt (1.12ubuntu2) hardy; urgency=low

  * Rebuild for libsnmp10 -> libsnmp15 transition.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 10 Dec 2007 20:34:11 +1100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: snmptrapfmt
 Section: net
 Priority: optional
-Maintainer: Jochen Friedrich <jochen@scram.de>
-Standards-Version: 3.6.2
-Build-Depends: cdbs, debhelper (>=4.0), libsnmp9-dev
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
+Standards-Version: 3.7.2
+Build-Depends: cdbs, debhelper (>=5.0), libsnmp-dev
 
 Package: snmptrapfmt
-Section: net
 Architecture: any
-Conflicts: none
-Replaces: none
-Depends: snmpd, libsnmp9
+Depends: ${shlibs:Depends}, snmpd
 Description: A configurable snmp trap handler daemon for snmpd
  This package contains a configurable snmp trap handler daemon for snmpd.
  The output of this trap handler daemon may be specified via a configuration

## snmptrapfmt 1.13

=== debian/changelog ===
snmptrapfmt (1.13) unstable; urgency=low

  * Update Policy to 3.7.3
  * Add patch from Len Sorensen <lennartsorensen@ruggedcom.com> to fix
    a segfault on traps without enterprise value (Closes: #442162)
  * Add LSB header to init script (Closes: #457752)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 29 Jan 2008 16:25:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: snmptrapfmt
 Section: net
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
-Standards-Version: 3.7.2
+Maintainer: Jochen Friedrich <jochen@scram.de>
+Standards-Version: 3.7.3
 Build-Depends: cdbs, debhelper (>=5.0), libsnmp-dev
 
 Package: snmptrapfmt
+Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, snmpd
+Conflicts: none
+Replaces: none
+Depends: snmpd, ${shlibs:Depends}
 Description: A configurable snmp trap handler daemon for snmpd
  This package contains a configurable snmp trap handler daemon for snmpd.
  The output of this trap handler daemon may be specified via a configuration

## snmptrapfmt 1.13ubuntu1

=== debian/changelog ===
snmptrapfmt (1.13ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #238264):
    - Link against snmp library.
    - Remove Conflicts/Replaces.
    - Munge Maintainer field as per spec.

 -- Nathan Handler <nathan.handler@gmail.com>  Sat, 07 Jun 2008 23:01:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: snmptrapfmt
 Section: net
 Priority: optional
-Maintainer: Jochen Friedrich <jochen@scram.de>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
 Standards-Version: 3.7.3
 Build-Depends: cdbs, debhelper (>=5.0), libsnmp-dev
 
 Package: snmptrapfmt
-Section: net
 Architecture: any
-Conflicts: none
-Replaces: none
-Depends: snmpd, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, snmpd
 Description: A configurable snmp trap handler daemon for snmpd
  This package contains a configurable snmp trap handler daemon for snmpd.
  The output of this trap handler daemon may be specified via a configuration

## snmptrapfmt 1.14

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Compilation parameters:
 
 CFLAGS= -O2 -g -Wall $(DEFS)
-LIBS=	-lsnmp -lieee -lnsl
+LIBS=	#-lsnmp -lieee -lnsl
 
 # You should not need to change anything below this line.
 
@@ -38,4 +38,3 @@
 	cp ${TARGETS} ${DESTDIR}/usr/sbin
 	cp ${MANPAGES} ${DESTDIR}/usr/share/man/man8
 	cp $(CONFFILES) $(DESTDIR)/etc/snmp
-

=== debian/changelog ===
snmptrapfmt (1.14) unstable; urgency=low

  * Update Policy to 3.8.1 (no changes)
  * Update debhelper to version 7 (replacing cdbs)
  * Add short description to LSB header
  * Add Vcs and Homepage to control file
  * Remove unnecessary install scripts (Closes: #522915)
  * Replace autoupdate of snmptrapd config by example config
    (Closes: #552917)
  * Add GPL-3 boilerplate to source files
  * Add misc:Depends for debhelpers to package dependencies

 -- Jochen Friedrich <jochen@scram.de>  Thu, 09 Apr 2009 17:07:13 +0200

## snmptrapfmt 1.14ubuntu1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Compilation parameters:
 
 CFLAGS= -O2 -g -Wall $(DEFS)
-LIBS=	#-lsnmp -lieee -lnsl
+LIBS=	-lsnmp -lieee -lnsl
 
 # You should not need to change anything below this line.

=== debian/changelog ===
snmptrapfmt (1.14ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Link against snmp library
    - Remove Conflicts/Replaces
    - Delete Section from the binary stanza.

 -- Nathan Handler <nhandler@ubuntu.com>  Tue, 28 Apr 2009 23:10:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
-Standards-Version: 3.7.3
-Build-Depends: cdbs, debhelper (>=5.0), libsnmp-dev
+Standards-Version: 3.8.1
+Build-Depends: debhelper (>=7), libsnmp-dev
+Homepage: https://alioth.debian.org/projects/snmptrapfmt/
+Vcs-Git: git://git.debian.org/git/collab-maint/snmptrapfmt.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/snmptrapfmt.git
 
 Package: snmptrapfmt
 Architecture: any
-Depends: ${shlibs:Depends}, snmpd
+Depends: snmpd, ${shlibs:Depends}, ${misc:Depends}
 Description: A configurable snmp trap handler daemon for snmpd
  This package contains a configurable snmp trap handler daemon for snmpd.
  The output of this trap handler daemon may be specified via a configuration

## snmptrapfmt 1.14%2Bnmu1ubuntu1

=== debian/changelog ===
snmptrapfmt (1.14+nmu1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Link against snmp library
    - Remove Conflicts/Replaces
    - Delete Section from the binary stanza.

 -- Angel Abad <angelabad@ubuntu.com>  Tue, 29 Jan 2013 11:25:35 +0100

snmptrapfmt (1.14+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags (Closes: #656783)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 01 Jun 2012 16:39:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: snmptrapfmt
 Section: net
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
 Standards-Version: 3.8.1
 Build-Depends: debhelper (>=7), libsnmp-dev

## snmptrapfmt 1.14+nmu1

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 # Compilation parameters:
 
-CFLAGS= -O2 -g -Wall $(DEFS)
-LIBS=	-lsnmp -lieee -lnsl
+CFLAGS= -O2 -g -Wall $(DEFS) `dpkg-buildflags --get CFLAGS` `dpkg-buildflags --get CPPFLAGS`
+LIBS= `dpkg-buildflags --get LDFLAGS`  	#-lsnmp -lieee -lnsl
 
 # You should not need to change anything below this line.

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: snmptrapfmt
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
+Maintainer: Jochen Friedrich <jochen@scram.de>
 Standards-Version: 3.8.1
 Build-Depends: debhelper (>=7), libsnmp-dev
 Homepage: https://alioth.debian.org/projects/snmptrapfmt/
@@ -10,7 +9,10 @@
 Vcs-Browser: http://git.debian.org/?p=collab-maint/snmptrapfmt.git
 
 Package: snmptrapfmt
+Section: net
 Architecture: any
+Conflicts: none
+Replaces: none
 Depends: snmpd, ${shlibs:Depends}, ${misc:Depends}
 Description: A configurable snmp trap handler daemon for snmpd
  This package contains a configurable snmp trap handler daemon for snmpd.

## snmptrapfmt 1.14+nmu1ubuntu1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Compilation parameters:
 
 CFLAGS= -O2 -g -Wall $(DEFS) `dpkg-buildflags --get CFLAGS` `dpkg-buildflags --get CPPFLAGS`
-LIBS= `dpkg-buildflags --get LDFLAGS`  	#-lsnmp -lieee -lnsl
+LIBS= `dpkg-buildflags --get LDFLAGS` -lsnmp -lieee -lnsl
 
 # You should not need to change anything below this line.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh build
	touch build-stamp

clean:
	dh clean

install: build install-stamp
install-stamp:
	dh install
	touch install-stamp

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

## snmptrapfmt 1.15

=== debian/changelog ===
snmptrapfmt (1.15) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #878721)
  * Remove Conflicts/Replaces with "none". (Closes: #747753)
  * Actually link against the snmp library.

 -- Adrian Bunk <bunk@debian.org>  Sat, 21 Oct 2017 21:26:43 +0300

## snmptrapfmt 1.16

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Compilation parameters:
 
 CFLAGS= -O2 -g -Wall $(DEFS) `dpkg-buildflags --get CFLAGS` `dpkg-buildflags --get CPPFLAGS`
-LIBS= `dpkg-buildflags --get LDFLAGS` -lsnmp -lieee -lnsl
+LIBS= `dpkg-buildflags --get LDFLAGS` -lsnmp -lnsl
 
 # You should not need to change anything below this line.

=== debian/changelog ===
snmptrapfmt (1.16) unstable; urgency=medium

  * QA upload.
  * debian/rules: do not link with now obsolete libieee.a.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Feb 2018 18:16:00 +0000

## snmptrapfmt 1.17

=== debian/changelog ===
snmptrapfmt (1.17) unstable; urgency=medium

  * QA upload.
  * Makefile: do not link with -lnsl as no symbols from that library
    are used.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 20 Aug 2020 19:32:49 +0200

## snmptrapfmt 1.18

=== debian/changelog ===
snmptrapfmt (1.18) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999166).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 20:26:46 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: snmptrapfmt
 Section: net
 Priority: optional
-Maintainer: Jochen Friedrich <jochen@scram.de>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.8.1
 Build-Depends: debhelper (>=7), libsnmp-dev
 Homepage: https://alioth.debian.org/projects/snmptrapfmt/
@@ -9,12 +9,9 @@
 Vcs-Browser: http://git.debian.org/?p=collab-maint/snmptrapfmt.git
 
 Package: snmptrapfmt
-Section: net
 Architecture: any
-Conflicts: none
-Replaces: none
 Depends: snmpd, ${shlibs:Depends}, ${misc:Depends}
-Description: A configurable snmp trap handler daemon for snmpd
+Description: configurable snmp trap handler daemon for snmpd
  This package contains a configurable snmp trap handler daemon for snmpd.
  The output of this trap handler daemon may be specified via a configuration
  file and written to a logfile or to the syslog daemon. During installation

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp

build-stamp:
	dh build
	touch build-stamp
clean:
	dh clean

install: build install-stamp

install-stamp:
	dh install
	touch install-stamp

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

build-arch: build
build-indep: build

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install

## snmptrapfmt 1.19

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Compilation parameters:
 
 CFLAGS= -O2 -g -Wall $(DEFS) `dpkg-buildflags --get CFLAGS` `dpkg-buildflags --get CPPFLAGS`
-LIBS= `dpkg-buildflags --get LDFLAGS` -lsnmp -lnsl
+LIBS= `dpkg-buildflags --get LDFLAGS` -lsnmp
 
 # You should not need to change anything below this line.

=== debian/changelog ===
snmptrapfmt (1.19) unstable; urgency=medium

  * QA upload
  * d/copyright: Convert to machine-readable format
  * Drop non-existing Homepage
  * Convert to source format 3.0
  * Update debhelper to compat 13
  * Use dh for building
  * Source init functions
  * Add missing Pre-Depends

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa

  [ Leos Kunc ]
  * Process longer SNMP trap lines without dying (Closes: #805635)

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jun 2024 12:03:31 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.8.1
-Build-Depends: debhelper (>=7), libsnmp-dev
-Homepage: https://alioth.debian.org/projects/snmptrapfmt/
-Vcs-Git: git://git.debian.org/git/collab-maint/snmptrapfmt.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/snmptrapfmt.git
+Build-Depends: debhelper-compat (= 13), libsnmp-dev
+Vcs-Git: https://salsa.debian.org/debian/snmptrapfmt.git
+Vcs-Browser: https://salsa.debian.org/debian/snmptrapfmt
 
 Package: snmptrapfmt
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: snmpd, ${shlibs:Depends}, ${misc:Depends}
 Description: configurable snmp trap handler daemon for snmpd
  This package contains a configurable snmp trap handler daemon for snmpd.

## snmptrapfmt 1.20

=== debian/changelog ===
snmptrapfmt (1.20) unstable; urgency=medium

  * QA upload
  * Fix gcc-15 build failure (Closes: #1097905).
  * Added systemd service file (Closes: #1039374).
  * Updated Standards-Version from 3.8.1 to 4.7.2.

 -- Syed-Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Wed, 17 Dec 2025 10:00:06 +0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.8.1
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), libsnmp-dev
 Vcs-Git: https://salsa.debian.org/debian/snmptrapfmt.git
 Vcs-Browser: https://salsa.debian.org/debian/snmptrapfmt
